Page MenuHomeFreeBSD

devel/py-cuisine Apply change to use py-fabric1
ClosedPublic

Authored by dbaio on Aug 12 2019, 7:00 PM.

Details

Reviewers
koobs
ume
Summary
devel/py-cuisine Apply change to use py-fabric1 

It's necessary because devel/py-fabric will be updated to v2.5.0 and Fabric 2
is not at 100% feature parity with 1.x! Some features have been explicitly
dropped, but others simply have not been ported over yet.
Test Plan
portlint: OK (looks fine.)
testport: OK (poudriere: 11,12,CURRENT, amd64 and i386, py27)

It was also executed a simple runtime test, checking fabric1 connections.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

dbaio created this revision.Aug 12 2019, 7:00 PM
dbaio updated this revision to Diff 60935.Aug 17 2019, 1:29 PM
dbaio retitled this revision from devel/py-fabric: Update to 2.5.0 to devel/py-cuisine Apply change to use py-fabric1.
dbaio edited the summary of this revision. (Show Details)
dbaio edited the test plan for this revision. (Show Details)
dbaio added a reviewer: ume.Aug 17 2019, 1:37 PM
dbaio added a subscriber: ume.

Adding @ume , maintainer of this port

ume accepted this revision.Aug 19 2019, 5:09 PM

It seems good to me.

This revision is now accepted and ready to land.Aug 19 2019, 5:09 PM
dbaio closed this revision.Sep 6 2019, 11:27 PM

We decided not to proceed with the directory change (for now) of fabric1 and then the post-patch won't be necessary anymore.
Anyway, thank you for reviewing this.
Regards.